<div class='content__calendar {{$window.innerHeight > 755 ? "content__calendar--756 content__calendar--s6"
      : $window.innerHeight > 729 ? "content__calendar--730 content__calendar--s6" : $window.innerHeight > 699 ? "content__calendar--700 content__calendar--s6"
      : $window.innerHeight > 679 ? "content__calendar--680 content__calendar--s6" : ""}}'>
  <div #elementCalBox class='cal__box'>
    <div #elementCusMonth class='cal__custom--label'></div>
    <nz-date-picker nzId='elementPicker' nzInline [nzShowToday]='false' [nzDateRender]='tplRender'></nz-date-picker>
    <ng-template #tplRender let-current>
      <div class="cal__picker--cell" [style]='getStyle(current)'>
        {{current.getDate()}}
      </div>
    </ng-template>
  </div>
  <div class='cal__group--action'>
    <div class='cal__title--select'>
        <div class='cal__t--s-item' *ngFor='let s of listNoteType'>
          <div class='t__s--dot' style="{{'background:' + s.borderColor}}"></div>
          <div class='t__s--value'>{{s.title | translate}}</div>
        </div>
    </div>
    <div class='cal__action'>
      <mb-button mbButtonBgColor='#141ED2' mbButtonBorderColor='#141ED2' mbButtonTextColor='#fff' mbButtonText='Đăng ký nghỉ'
                (click)='goToRegisterPage()'
                 mbButtonSize='LARGE'></mb-button>
    </div>
  </div>
</div>
